# (Old SDK) Mobile / Tablet

### 5.9.0 (January 14, 2026)

* Feat: Integration of the new ***TCF 2.3*** requirements from the IAB.
* Improve: Added several security controls, improving the SDK's environmental impact related to network calls.

### 5.8.0 (November 25, 2025)

* Fix: Prevents the system from creating a separate process when executing an SDK activity.
* Feat: New display method that takes into account current “activity,” allowing users to take full advantage of the context UI
* Improve: Improved display performance on certain screens requiring data updates

### 5.7.0 (October 10, 2025)

* Fix: Rare crash fixed due to certain versions of misaligned libraries
* Chore: Now requires a **minCompilSdk of 33** due to some **aar-metadata.properties** intos androidX libraries (*among other things*)

### 5.6.0 (July 31, 2025)

* Feat: Adds QR Code popup to replace internal hyperlink viewer. This feature is available from SDK initialization.
* Fix: Some "spacer" depends of screen size

### 5.5.6 (June 06, 2025)

* Fix: Truncated popup when displaying layer 1 and success screen on Android AUTOMOTIVE API34-ext9

<details>

<summary>Old release-notes</summary>

### 5.5.5 (May 23, 2025)

* Chore: Core module updated (3.5.3)
  * Fix: Add explicit TLSv1.3 instead of TLS generic AND force using best protocol depend on available protocols on running device
  * Improve: Log information when unable to get GAID

### 5.5.4 - (October 23, 2024)[​](https://docs.sfbx.io/help/release-notes/index.html#554---october-23-2024) <a href="#id-554---october-23-2024" id="id-554---october-23-2024"></a>

* Fix: Add edge-to-edge display functionality to make CMP display fully compatible
* Improve: Clean code
* Chore: Core module updated

### 5.5.3 - (August 28, 2024)

* Fix: Upgrade Core module version that fixes GCM minified troubles
* Fix: The number of vendors is not displayed for STACKS

### 5.5.0 - (July 03, 2024)

* Feat: Adds a cache when using the `checkForUpdate` method

### 5.4.0 - (June 18, 2024)

* Feat: Adding options using `<meta-data />`.
* Feat: Add `isAllConsentablesDisallowed`, `isAllVendorsDisallowed`, `isAllStacksDisallowed` & `isUserDenyAll` method
* Feat: Add `isAllConsentablesAllowed`, `isAllVendorsAllowed`, `isAllStacksAllowed` & `isUserAcceptAll` method
* Fix: Prevents CMP from being displayed with default values in the case of an appkey not found
* Fix: Vendor list display was truncated in landscape mode (we couldn't access the privacy policy link via this screen for the last vendor)
* Refacto: Deprecated methods `allConsentablesAllowed`, `allVendorsAllowed`, `allStacksAllowed` & `userAcceptAll`
* Improve: Significant graphics enhancement
  * Decrease in margin size when displaying CMP in popup mode
  * Significant improvements on different screen sizes and on tablets
  * Text size taken into account for all screen sizes for the title on layer 1
  * Improved images displayed on the success screen when activated
* Improve: New deprecated methods into AppConsentTheme to be removed in later versions
  * `iconDrawable` is now deprecated
  * `onboardingImage` is now deprecated
  * `iconUrl` is now deprecated
* Improve: Deleting unused resources
* Improve: Clean code
* Improve: Speed of CMP display after first user consent

### 5.3.0 - (March 27, 2024)

* Feat: Add vertical button option from ACConfiguration, to enable layer 1 buttons (accept all, reject all, configure) to be displayed vertically in portrait mode only; by default, they are displayed horizontally.
* Fix: Added a drawable missing in low dpi mode, to avoid using an inappropriate one
* Improve: Reduced SDK size

### 5.2.0 - (March 21, 2024)

* Feat: Add WebProxy util to check if web view component is available, enable & implemented on user device
  * The CMP cannot be used if the component is not available on the user's device.
* Feat: Displays the list of stacks, purposes, special purpose, feature, special feature and extra purpose used in the notice configuration.
* Feat: Add new GAID mechanism to avoid bad UUID generation from providers
* Feat: Add a GeoIP check at SDK startup, to determine whether your users are eligible or not
* Improve: Data categories used in conjunction with the purposes
* Improve: New system to display vendors number
* Improve: Avoid line separator on vendor's description from GVL
* Fix: Legitimate interest urls fully mapped (some vendor's url like pdf and json didn't redirect)
* Fix: Motorola UUID generation problems with Native UUID (0000-0000) - <https://github.com/google/gson/issues/2103>
* Chore: Upgrade protobuf library from 3.23.0 to 3.23.2
* Chore: Upgrade iab store from 1.0.4 to 1.1.0

### 5.1.4 - (January 22, 2024)

* Fix: Crash caused by java.util.MissingResourceException: Couldn't find 3-letter country code for ... at java.util.Locale.getISO3Country (Pseudo language XA - XB)
* Fix: Fixes a metric problem when clicking on the continue button without accepting.
* Fix: Add support to min screen width 600 dp to allow multiple client icon size
* Chore: Update release notes - add more explicit information's about translations issues
* Refactor: Logger Module - Change some class name
* Refactor: Change layout res to dimens res constraint to avoid duplication layout

### 5.1.3 - (December 22, 2023)

* Chore: Update internal Logger module
* Fix: RuntimeException when several WebView instances in different processes are used. Added SDK startup check and full explanatory log in the event of a problem when integrating a third-party library that runs before the application and uses a WebView in a dedicated process.
* Fix: Display size problem on tablet in Dialog mode
* Fix: Significant reduction in SDK size

### 5.1.2 - (December 12, 2023)

* Fix: A display problem occurred when the "Enable only consent as the legal basis for processing" field was activated. Legitimate interests were still displayed under certain conditions
* Fix: In some cases, we had difficulty detecting the language set on the user's device and displayed the default selected language
* Improve: Addition of new controls at SDK startup to prevent the SDK from initializing by default
* Improve: logs

### 5.1.1 - (November 20, 2023)

* Chore: Updating dependencies to make transitive dependencies consistent.\
  These dependencies are aligned to be compatible with compileSdkVersion 30.\
  Fix ==> error: resource android:attr/lStar not found.\
  Fix ==> error: resource android:color/system\_neutralX\_XXX not found.
  * androidx.appcompat:appcompat to 1.4.0-alpha03
  * androidx.core:core-ktx to 1.7.0-alpha01
  * com.google.android.material:material to 1.5.0-alpha02

### 5.1.0 - (November 15, 2023)

* Fix: Incorrect values (0) displayed for partners
* Fix: Flying mode
* Fix: Add Connectivity check to avoid RequestTimeOut if no Internet / NoConnectivityException
* Fix: Vendors policy urls didn't open
* Fix: Avoid multiple call to same WS at the same time
* Fix: Default Google Advertising UUID deleted from generated response (00000000-0000-0000-0000-000000000000)
* Fix: Remove Uncaught Exception handler
* Fix: Add banner background color
* Fix: UI: force rotate depends app
* Fix: Avoid multiple same activities onRecreate (configurationChanged, rotate)
* Feat: Add Logger submodule / Remove Timber
* Feat: Optimize speed initialization
* Clean: code

### 5.0.0 - (September 20, 2023)

* Fix: Rollback to Gradle 7
* Fix: Rollback to JAVA 11
* Fix: Rollback compatibilities with 1.8

### 4.0.1 - (September 18, 2023)

* Fix: Some crash when migrating from TCF2.1 to TCF2.2 from a previous consent

### 4.0.0 - (September 13, 2023)

* Feat: TCF2.2
* Feat: Full screen mode
* Refactor: New way to initialize the SDK
* Refactor: New configuration for enhanced scalability
* Feat: New documentations
* Fix: Visual enhancement on small devices with large visual adaptation

### 2.1.1 - (June 19, 2023)

* Fix: \[INCIDENT] - Crash on networking request

### 2.1.0 - (June 08, 2023)

* Fix: Upgrade Core to 1.3.1
  * Fix: \[AMAZON] - Fix a bug on Amazon Fire TV
  * Fix: \[INCIDENT] - Fix a bug when user change Ads setting on device
* Feat: \[UI] Change the order of icons in switches on layers 2

### 2.0.16 - (April 18, 2023)

* Fix: Upgrade Core to 1.2.42
  * Feat: improve ssl verification hostname
  * Feat: add consumer proguard rules
  * Feat: add new entry to sample
  * Fix: remove keys from sharedpreferences not just updated + add 5 keys missed from clean

### 2.0.15 - (April 11, 2023)

* Fix: UI problem when the CMP is displayed, the user could click outside and close it without has been given his consent

### 2.0.14 - (March 21, 2023)

* Fix: Unity specific crashes
* Fix: Crash on XChange product

### 2.0.13 - (March 15, 2023)

* Fix: Improvement of the initialization process

### 2.0.12 - (February 23, 2023)

* Fix: Crashes for the XChange version

### 2.0.11 - (February 22, 2023)

* Fix: Flutter specific crashes when we try to use it before completion

### 2.0.5 - (January 31, 2022)

* Feat: Add illustrated mode new ui

### 2.0.4 - (January 10, 2022)

* Fix: Rollback api

### 2.0.3 - (January 03, 2022)

* Fix: Improves the user experience in case there is no internet

### 2.0.2 - (December 28, 2021)

* Fix: Added eco-friendly features to avoid multiple network calls

### 2.0.1 - (December 08, 2021)

* Feat: Update of the list of regions that must apply GDPR
* Feat: Update of the text
* Feat: Visual improvement

### 2.0.0 - (November 25, 2021)

* Feat: Displaying the notice as a modal
* Feat: Display geolocation as a modal
* Feat: Color harmonization
* Feat: New graphical component and new design
* Feat: Change the grouping of consents in layer 2

### 1.1.11 - (November 08, 2021)

* Fix: Miscellaneous non visual enhancement

### 1.1.10 - (October 26, 2021)

* Feat: Eco-responsible code processing
* Feat: Loading information from the Notice when the application is launched

### 1.1.9 - (September 27, 2021)

* Fix: Various improvements and fixes

### 1.1.8 - (September 02, 2021)

* Fix: Different methods to know which type of consent, vendors and stack have been granted

### 1.1.7 - (August 05, 2021)

* Feat: Addition of different methods to know which type of consent, vendors and stack have been granted
* Feat: Automatic start of smartTraffik for the XChange product
* Feat: Code improvement

### 1.1.6 - (July 22, 2021)

* Feat: Added Continue without accepting on layer 1

### 1.1.5 - (June 14, 2021)

* Feat: Added various features to allow distinguishing which types of consent the user has consented to, the list of consents and the use of the advertising UUID

### 1.1.3 - (February 09, 2021)

* Feat: Add vendor cookie expiration for TCF v2.1

### 1.1.2 - (February 03, 2021)

* Feat: XChange Product Enhancement

### 1.1.1 - (January 19, 2021)

* Feat: Code improvement

### 1.1.0 - (December 09, 2020)

* Feat: Improved design on the introduction screen
* Feat: Added a new feature dedicated to the acceptance or not of the geolocation authorization
* Feat: Added new features to the XChange product (Smart-Traffik & Pickwell)

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sfbx.io/help/release-notes/android/old-sdk-mobile-tablet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
